Page MenuHomeFreeBSD

[NEW PORT]devel/jetbrains-phpstorm: JetBrains PhpStorm IDE
ClosedPublic

Authored by pfg on Dec 7 2018, 7:21 PM.

Details

Summary

PhpStorm is a high quaity IDE based for PHP and related frameworks.
New port based on intellij-rubymine plus cleanups to remove the linux
openjdk.
PR: 233842

Test Plan

Known to pass portlint and check-plist.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pfg created this revision.Dec 7 2018, 7:21 PM
mat added inline comments.Dec 8 2018, 2:47 PM
java/jetbrains-phpstorm/Makefile
33–34 ↗(On Diff #51733)

Any reason you are creating a new variable instead of using WRKSRC everywhere?

pfg updated this revision to Diff 51755.Dec 8 2018, 3:44 PM
pfg marked an inline comment as done.

Use WRKSRC instead of WRKDIST.
Still passes portlint and check-plist

java/jetbrains-phpstorm/Makefile
33–34 ↗(On Diff #51733)

WRKDIST came from the original intellij-Rubymine port on which this was based. I later noted the port wanted WRKSRC and added it. I will try defining only WRKSRC.

pfg updated this revision to Diff 52342.Dec 27 2018, 5:10 PM
  • Update to 2018.3.2
  • Move to devel as we don't really depend on the intellij infrastructure.
  • Use native file watching support as in the latest intellij port.
pfg retitled this revision from [NEW PORT] java/jetbrains-phpstorm: JetBrains PhpStorm IDE to [NEW PORT]devel/jetbrains-phpstorm: JetBrains PhpStorm IDE.Dec 27 2018, 5:10 PM
mat added inline comments.Dec 27 2018, 5:24 PM
devel/jetbrains-phpstorm/Makefile
34–36 ↗(On Diff #52342)

Why +=?

37 ↗(On Diff #52342)

Add blank line before target.

pfg marked an inline comment as done.Dec 27 2018, 7:03 PM
pfg added inline comments.
devel/jetbrains-phpstorm/Makefile
34–36 ↗(On Diff #52342)

Hmm .. those lines come from the original intellij port, I'll have to look at what can be removed.. thanks!

pfg updated this revision to Diff 52347.Dec 27 2018, 7:47 PM

Fix issues pointed out by mat@

pfg added a comment.Jan 11 2019, 4:45 AM

ping?

FWIW, this is currently my favorite IDE on FreeBSD: netbeans has problems refreshing.
VSCode is not yet ported :(.

tobik accepted this revision.Jan 11 2019, 5:44 AM
tobik added a subscriber: tobik.
In D18477#401611, @pfg wrote:

ping?

FWIW, this is currently my favorite IDE on FreeBSD: netbeans has problems refreshing.
VSCode is not yet ported :(.

If it builds and runs then go for it.

Approved by:	ports (tobik)
This revision is now accepted and ready to land.Jan 11 2019, 5:44 AM
This revision was automatically updated to reflect the committed changes.